Error


/home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/Page/evo/Page_view_text.evo line 4
# inclusion to display text
if self.get_images():
  div:cls='col-8'
    self.text.formatted(req)
  div:cls='col-4'
    self.Page_view_images.evo

Traceback (most recent call last):
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/nevo/Nevo.py", line 1003, in __call__
res = str(eval(self.content[0], globals(), env) or '')
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/Page/evo/Page_view_text.evo", line 1, in <module>
# inclusion to display text
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/lib/TEXT.py", line 89, in formatted
text = self.image_rule.sub(subimage, text)
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/lib/TEXT.py", line 68, in subimage
if lib.safeint(url):
NameError: name 'lib' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/nevo/Nevo.py", line 1719, in __str__
raise self.exc
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/nevo/Nevo.py", line 294, in maybe_content
content = fn(*a, **k)
File "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/nevo/Nevo.py", line 1009, in __call__
raise EvoRuntimeError(self)
nevo.Nevo.EvoRuntimeError: EvoRuntimeError: /home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/Page/evo/Page_view_text.evo line 4 <code object <module> at 0x7f7ae81569c0, file "/home/ec2-user/more/apps/env/lib/python3.7/site-packages/evoke/Page/evo/Page_view_text.evo", line 1>